Subject: Re: [PATCH] [POWERPC] Fix kernel builds with newer gcc versions and -Os

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 03 May 2008 09:24:41 +1000

On Fri, 2008-05-02 at 14:42 -0700, David Miller wrote:
> From: Kumar Gala <[email-masked]>
> Date: Fri, 2 May 2008 16:34:13 -0500
> 
> > We'll hopefully this thread might spark either an explanation for why  
> > we aren't just linking libgcc in a statement that says we should and  
> > we can remove the code that implements libgcc functionality.
> > 
> > How would libgcc linking intermix with modules?  Would we have to  
> > EXPORT_SYMBOL() all functions that libgcc implements?  I'm guessing  
> > that's varies w/different gcc versions.
> 
> If you link in libgcc, all of a sudden you have a whole new class of
> potential problems, don't do it.
> 
> All it takes is one of these libgcc libcalls the kernel actually
> references, needing something else in libc, to make this exercise
> futile.

Hrm... I though you linked it in, I must be confusing with another
arch :-) Oh well, if we fail with something pulling bits off libc etc...
we'll see quickly who is the culprit no ?

Ben.